
Foreman - Bug #31573

Drop IPAPPEND2 completely and use 01 for the hardware prefix

01/05/2021 01:17 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 2.3.3   

Difficulty:  Fixed in Releases: 2.3.3, 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8230,

https://github.com/theforeman/foreman/p

ull/8286

  

Description

Due to regression in EL 8.3 dracut/nm it no longer accepts 00 as hardware type. However 01 (ethernet) is accepted. A temporary fix

was made in #31452 to workaround the issue, now NetworkManger is getting a fix to accept both 01 and 00 the final solution is

simply to default to the correct hardware type 01 alltogether and removing IPAPPEND 2 statement because it was unnecessary

anyway (BOOTIF was actually twice).

https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/merge_requests/713

Related issues:

Related to Foreman - Bug #31452: Cannot build an EL 8.3 system via Satellite ... Closed

Related to Foreman - Bug #31524: Do not put hardware type into BOOTIF configu... Duplicate

Associated revisions

Revision 789225c2 - 01/20/2021 11:09 AM - Lukas Zapletal

Fixes #31573 - drop IPAPPEND2 and use BOOTIF with 01 prefix

History

#1 - 01/05/2021 01:17 PM - Lukas Zapletal

- Related to Bug #31452: Cannot build an EL 8.3 system via Satellite Bootdisk or Discovery kexec added

#2 - 01/05/2021 01:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8230 added

#3 - 01/05/2021 03:45 PM - Lukas Zapletal

- Related to Bug #31524: Do not put hardware type into BOOTIF configurable for EL8.3+ added

#4 - 01/20/2021 11:10 AM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#5 - 01/20/2021 12:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|789225c2a67684eb1699ada81770c8d0c120046d.

#6 - 01/27/2021 07:19 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8286 added
https://projects.theforeman.org/issues/31452
https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/merge_requests/713
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/789225c2a67684eb1699ada81770c8d0c120046d


#7 - 01/27/2021 07:19 AM - Lukas Zapletal

- Target version set to 2.3.3

Requesting 2.3.

In order to be able to provision EL 8.4 and later, this fix is needed for the final solution to the problem. This was delayed due to longer discussion with

Anaconda/NM team on how to approach this.

#8 - 01/27/2021 01:18 PM - Tomer Brisker

- Fixed in Releases 2.3.3 added
